
Partial Class CharterContentManagement_Default
    Inherits AdminPage

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try

            If Not Me.Page.IsPostBack Then

                If Me.IsInRole(ConfigurationManager.AppSettings("ContentAdminRoleName")) Then
                    tblCreate.Visible = True
                End If
                If Me.IsInRole(ConfigurationManager.AppSettings("CMSUserRoleName")) _
                Or Me.IsInRole(ConfigurationManager.AppSettings("ContentAuthorRoleName")) Then
                    ' lnkEdit.Visible = True
                    tblEdit.Visible = True
                End If

                If Me.IsInRole(ConfigurationManager.AppSettings("ContentApproverRoleName")) Then
                    'lnkApprove.Visible = True
                    tblApprove.Visible = True
                End If

                If Me.IsInRole(ConfigurationManager.AppSettings("ContentPublisherRoleName")) Then
                    'lnkpublish.Visible = True
                    tblPublish.Visible = True
                End If

                If Me.IsInRole(ConfigurationManager.AppSettings("ContentAdminRoleName")) Then
                    'lnkAdmin.Visible = True
                    tblAdmin.Visible = True
                End If
            End If

        Catch ex As Exception
        End Try
    End Sub

End Class
